View Issue Details

IDProjectCategoryView StatusLast Update
0003631SymmetricDS ProBugpublic2019-05-08 13:29
ReporterelongAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.9 
Target Version3.10.2Fixed in Version3.10.2 
Summary0003631: Node missing from top-right drop-down switcher
DescriptionOn a multi-homed node setup deployed as a WAR, sometimes the drop-down list of nodes to switch to does not fully populate with all nodes, even though all nodes are up and running. The workaround is to restart the server. First reported in HPL-91647-689.
TagsNo tags attached.

Activities

hanes

2018-10-17 14:34

developer   ~0001285

Eric has seen this in the standalone case as well. Believed to be a race condition at startup, and that the list of nodes is assembled once and the list is not refreshed during the life of the server.

Related Changesets

SymmetricDS: 3.10 0fb16992

2019-03-01 10:04:05

admin

Details Diff
0003631: Node missing from top-right drop-down switcher
0003631
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2018-07-13 10:14 elong New Issue
2018-10-17 14:34 hanes Status new => confirmed
2018-10-17 14:34 hanes Target Version => 3.10.0
2018-10-17 14:34 hanes Note Added: 0001285
2018-12-05 15:01 hanes Assigned To => josh-a-hicks
2018-12-05 15:01 hanes Status confirmed => assigned
2018-12-05 15:02 hanes Summary Node missing from top-left drop-down switcher => Node missing from top-right drop-down switcher
2019-01-03 12:56 josh-a-hicks Status assigned => resolved
2019-01-03 12:56 josh-a-hicks Resolution open => fixed
2019-01-03 12:56 josh-a-hicks Fixed in Version => 3.10.0
2019-03-01 14:00 admin Changeset attached => SymmetricDS 3.10 0fb16992
2019-05-08 08:37 admin Status resolved => closed
2019-05-08 13:29 admin Target Version 3.10.0 => 3.10.2
2019-05-08 13:29 admin Fixed in Version 3.10.0 => 3.10.2